import { WorkerThreadPool } from "./base/worker-pool";
export declare class BuildTreeNodeWorker {
    workerPool: WorkerThreadPool;
    constructor();
    buildTreeNode(elementData: {
        [key: number]: {
            [key: string]: {
                [key: string]: string;
            };
        };
    }[], callbackOnSuccess?: (response: any) => void): void;
}
